VERSION 5.00
Begin VB.Form SimpleUI 
   BackColor       =   &H80000005&
   BorderStyle     =   1  'Fixed Single
   Caption         =   "LANegram"
   ClientHeight    =   2115
   ClientLeft      =   45
   ClientTop       =   345
   ClientWidth     =   4560
   KeyPreview      =   -1  'True
   LinkTopic       =   "SimpleUI"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2115
   ScaleWidth      =   4560
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdCancel 
      Caption         =   "Cancel"
      CausesValidation=   0   'False
      Height          =   375
      Left            =   1830
      TabIndex        =   2
      Top             =   1620
      Width           =   885
   End
   Begin VB.Label lblMsg 
      BackStyle       =   0  'Transparent
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1035
      Left            =   0
      TabIndex        =   0
      Top             =   600
      Width           =   4455
      WordWrap        =   -1  'True
   End
   Begin VB.Label lblTitle 
      BackStyle       =   0  'Transparent
      ForeColor       =   &H8000000D&
      Height          =   555
      Left            =   60
      TabIndex        =   1
      Top             =   60
      Width           =   4455
      WordWrap        =   -1  'True
   End
End
Attribute VB_Name = "SimpleUI"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Enum SYS_COLOR_VALUES
    COLOR_3DDKSHADOW = 21
    COLOR_3DFACE = 15
    COLOR_3DHIGHLIGHT = 20
    COLOR_3DHILIGHT = 20
    COLOR_3DLIGHT = 22
    COLOR_3DSHADOW = 13
    COLOR_ACTIVEBORDER = 10
    COLOR_ACTIVECAPTION = 2
    COLOR_APPWORKSPACE = 12
    COLOR_BACKGROUND = 1
    COLOR_BTNHIGHLIGHT = 20
    COLOR_BTNFACE = 15
    COLOR_BTNSHADOW = 16
    COLOR_CAPTIONTEXT = 9
    COLOR_GRADIENTACTIVECAPTION = 27
    COLOR_GRADIENTINACTIVECAPTION = 28
    COLOR_HOTLIGHT = 26
    COLOR_INACTIVEBORDER = 11
    COLOR_INACTIVECAPTION = 3
    COLOR_INACTIVECAPTIONTEXT = 19
    COLOR_INFOBK = 24
    COLOR_INFOTEXT = 23
    COLOR_MENU = 4
    COLOR_MENUBAR = 30 'Not Win2K
    COLOR_MENUHILIGHT = 29 'Not Win2k
    COLOR_MENUTEXT = 7
    COLOR_SCROLLBAR = 0
    COLOR_WINDOW = 5
    COLOR_WINDOWTEXT = 8
End Enum

Private Declare Function GetSysColor Lib "user32" (ByVal nIndex As SYS_COLOR_VALUES) As Long

'SetWindowPos definitions.
Private Const SWP_NOSIZE As Long = &H1&
Private Const SWP_NOMOVE As Long = &H2&
Private Const SWP_SHOWWINDOW As Long = &H40&
Private Const HWND_NOTOPMOST As Long = -2&
Private Const HWND_TOPMOST As Long = -1&

Private Declare Function SetWindowPos Lib "user32" ( _
    ByVal hWnd As Long, _
    ByVal hWndInsertAfter As Long, _
    ByVal X As Long, _
    ByVal Y As Long, _
    ByVal cx As Long, _
    ByVal cy As Long, _
    ByVal wFlags As Long) As Long

'SimpleUI definitions.
Private Const MIN_WIDTH As Single = 4800
Private Const MAX_WIDTH As Single = 9000

Private Sub cmdCancel_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
    'Do this instead of a Click event handler so that Enter does not
    'trigger the action.
    If Button = vbLeftButton Then Hide
End Sub

Private Sub Form_KeyPress(KeyAscii As Integer)
    'Ignore and beep on any KeyPress except:
    '   The "secret" program exit key (Ctrl-X char is 24).
    '   The cancel key (ESC char is 27).
    If KeyAscii = 24 Then
        Unload StdUI 'End program by unloading the main Form.
    ElseIf KeyAscii = 27 Then
        Hide
    Else
        KeyAscii = 0
        Beep
    End If
End Sub

Private Sub Form_Load()
    FontWiz.AdjustForm Me 'Set our fonts to the system dialog font.
    Caption = App.EXEName & " " & CStr(App.Major) & "." & CStr(App.Minor) & ".0." & CStr(App.Revision)
    If gstrChannel <> G_DEFAULT_CHANNEL Then
        Caption = Caption & " (Channel " & gstrChannel & ")"
    End If
    lblTitle.ForeColor = GetSysColor(COLOR_HOTLIGHT)
    lblTitle.Font.Size = 11
    Set Icon = StdUI.Icon
End Sub

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
    If UnloadMode = vbFormControlMenu Then
        Hide
        Cancel = True
    End If
End Sub

Public Sub Popup(ByVal FromName As String, ByVal Message As String)
    Dim sngMsgWidth As Single
    Dim sngNewWidth As Single
    Dim sngPad As Single
    
    With Screen
        sngMsgWidth = TextWidth(Message)
        sngPad = 16 * .TwipsPerPixelX
        If sngMsgWidth < MIN_WIDTH Then
            sngNewWidth = MIN_WIDTH
            lblMsg.Width = MIN_WIDTH
            lblMsg.Alignment = vbCenter
        ElseIf sngMsgWidth < MAX_WIDTH Then
            sngNewWidth = sngMsgWidth
            lblMsg.Width = sngMsgWidth
            lblMsg.Alignment = vbLeftJustify
        Else
            sngNewWidth = MAX_WIDTH
            lblMsg.Width = MAX_WIDTH
            lblMsg.Alignment = vbLeftJustify
        End If
        Beep
        Move (.Width - sngNewWidth - sngPad) / 2, (.Height - Height) / 2, sngNewWidth + sngPad
        lblTitle.Move 0, 0, ScaleWidth, ScaleHeight
        lblTitle.Caption = FromName & " at " & FormatDateTime$(Time(), vbLongTime) & ":"
        With lblMsg
            .Caption = Message
            .Left = (ScaleWidth - .Width) / 2
        End With
        cmdCancel.Left = (ScaleWidth - cmdCancel.Width) / 2
    End With
    SetWindowPos hWnd, HWND_TOPMOST, 0, 0, 0, 0, SWP_NOMOVE Or SWP_NOSIZE Or SWP_SHOWWINDOW
End Sub
